'//////////////////////////////////////////////////////////////////////////////
' Defender Remake
' AUTHOR: Steve Waddicor
'//////////////////////////////////////////////////////////////////////////////

PUB sprite_adr
  return @sprite_def

PUB sprite_palette_adr
  return @sprite_palette_def

PUB terrain_adr
  return @terrain_def

CON
    TILE_TRELLIS                    = 0
    TILE_MARIO_LIFE                 = 2
    TILE_BONUS                      = 18
    TILE_SMALL_M                    = 1
    TILE_SPACE                      = 17
    TILE_POLE                       = TILE_SPACE+3
    TILE_HELP                       = TILE_POLE+2
    TILE_INVISIBLE_LADDER           = TILE_HELP+3
    TILE_LEVEL_4_PLATFORM           = 28
    TILE_LEVEL_3_PLATFORM           = 29
    TILE_KONG_START                 = 76
    TILE_BOTTOM_OF_RIVET            = 100
    TILE_FULL_LADDER                = 101
    TILE_END_LOWER_PLAT_LAD_TILES   = TILE_FULL_LADDER+7
    TILE_FULL_PLATFORM_LADDER_TILE  = TILE_FULL_LADDER+8
    TILE_START_OF_LADDER_TILES      = TILE_FULL_LADDER+9
    TILE_END_OF_LADDER_TILES        = TILE_FULL_LADDER+15
    TILE_TOP_OF_RIVET               = TILE_FULL_LADDER+16
    TILE_START_OF_PLATFORM_TILES    = TILE_FULL_LADDER+17
    TILE_END_OF_LOWER_PLAT_TILES    = TILE_FULL_LADDER+23
    TILE_FULL_PLATFORM              = TILE_FULL_LADDER+24
    TILE_START_OF_PLAT_TOP_TILES    = TILE_FULL_LADDER+25
    TILE_END_OF_PLATFORM_TILES      = TILE_FULL_LADDER+31

    SPRITE_SCORE_100    = 87
    SPRITE_SCORE_200    = 54
    SPRITE_SCORE_300    = 68
    SPRITE_SCORE_500    = 69
    SPRITE_SCORE_800    = 70

DAT
tile_def
tile_palette_def
sprite_palette_def
    long    $0b5b7e 'SpriteNumber:0
    long    $0b5b7e 'SpriteNumber:1
    long    $0b5b7e 'SpriteNumber:2
    long    $0b5b7e 'SpriteNumber:3
    long    $0b5b7e 'SpriteNumber:4
    long    $0b5b7e 'SpriteNumber:5
    long    $0b5b7e 'SpriteNumber:6
    long    $0b5b7e 'SpriteNumber:7
    long    $0b5b7e 'SpriteNumber:8
    long    $0b5b7e 'SpriteNumber:9
    long    $0b5b7e 'SpriteNumber:10
    long    $0b5b7e 'SpriteNumber:11
    long    $0b5b7e 'SpriteNumber:12
    long    $0b5b7e 'SpriteNumber:13
    long    $0b5b7e 'SpriteNumber:14

    long    $3c6c06 'SpriteNumber:15  'Pauline head
    long    $3c060c 'SpriteNumber:16  'Pauline legs
    long    $3c060c 'SpriteNumber:17  'Pauline legs
    long    $3c060c 'SpriteNumber:18  'Pauline atanding
    long    $3c060c 'SpriteNumber:19  'Pauline carried

    long    $6c6b6a 'SpriteNumber:20  'Normal barrel palette
    long    $6c6b0d 'SpriteNumber:21  'Normal barrel palette
    long    $6c6b0d 'SpriteNumber:22  'Normal barrel palette
    long    $6c6b0d 'SpriteNumber:23  'Normal barrel palette

    long    $9b029c 'SpriteNumber:24  'Skull barrel palette
    long    $9c023c 'SpriteNumber:25  'Skull barrel palette
    long    $9c023c 'SpriteNumber:26  'Skull barrel palette

    long    $055b5b 'SpriteNumber:27  'Hammer palette
    long    $055b5b 'SpriteNumber:28  'Hammer palette

    long    $575d5b 'SpriteNumber:29  'Kong head palette - has white eyes and teeth - tweaked white down a littel to stop glaring teeth
    long    $575d5b 'SpriteNumber:30  'Kong head palette - has white eyes and teeth - tweaked white down a littel to stop glaring teeth
    long    $575d5b 'SpriteNumber:31  'Kong head palette - has white eyes and teeth - tweaked white down a littel to stop glaring teeth
    long    $575d5b 'SpriteNumber:32  'Kong head palette - has white eyes and teeth - bright white eyes
    long    $565d5b 'SpriteNumber:33  'Kong head palette - has white eyes and teeth - tweaked white down a littel to stop glaring teeth
    long    $7b5d5b 'SpriteNumber:34  'Kong body palette
    long    $7b5d5b 'SpriteNumber:35  'Kong body palette
    long    $7b5d5b 'SpriteNumber:36  'Kong body palette
    long    $7b5d5b 'SpriteNumber:37  'Kong body palette
    long    $7b5d5b 'SpriteNumber:38  'Kong body palette
    long    $7b5d5b 'SpriteNumber:39  'Kong body palette
    long    $7b5d5b 'SpriteNumber:40  'Kong body palette
    long    $7b5d5b 'SpriteNumber:41  'Kong body palette
    long    $7b5d5b 'SpriteNumber:42  'Kong body palette
    long    $7b5d5b 'SpriteNumber:43  'Kong body palette
    long    $7b5d5b 'SpriteNumber:44  'Kong body palette
    long    $575d5b 'SpriteNumber:45  'Kong head palette - has white eyes and teeth - bright white eyes

    long    $7b5d5b 'SpriteNumber:46  'Kong body palette
    long    $7b5d5b 'SpriteNumber:47  'Kong body palette
    long    $7b5d5b 'SpriteNumber:48  'Kong body palette
    long    $7b5d5b 'SpriteNumber:49  'Kong body palette
    long    $7b5d5b 'SpriteNumber:50  'Kong body palette
    long    $7b5d5b 'SpriteNumber:51  'Kong body palette
    long    $7b5d5b 'SpriteNumber:52  'Kong body palette
    long    $070707 'SpriteNumber:53  'Kong's stars
    long    $070707 'SpriteNumber:54  'Bonus 200
    long    $6bcb1d 'SpriteNumber:55  'Spring open
    long    $6bcb1d 'SpriteNumber:56  'Spring closed

    long    $076ce8 'SpriteNumber:57  'Fire palette
    long    $076ce8 'SpriteNumber:58  'Fire palette
    long    $076ce8 'SpriteNumber:59  'Fire palette
    long    $076ce8 'SpriteNumber:60  'Fire palette
    long    $076ce8 'SpriteNumber:61  'Fire palette
    long    $076ce8 'SpriteNumber:62  'Fire palette

    long    $dc4b4c 'SpriteNumber:63  'Lift
    long    $026a7e 'SpriteNumber:64  'Winch
    long    $060606 'SpriteNumber:65  'Ladder

    long    $0bcc06 'SpriteNumber:66  'Oil drum palette

    long    $0c6e6c 'SpriteNumber:67  'Pie
    long    $070707 'SpriteNumber:68  'Bonus 300
    long    $070707 'SpriteNumber:69  'Bonus 500
    long    $070707 'SpriteNumber:70  'Bonus 800
    long    $5bcc1d 'SpriteNumber:71  'Motor
    long    $5bcc1d 'SpriteNumber:72  'Motor
    long    $5bcc1d 'SpriteNumber:73  'Motor
    long    $0b5b7e 'SpriteNumber:74  'Barrel smashing anim
    long    $0b5b7e 'SpriteNumber:75  'Barrel smashing anim
    long    $0b5b7e 'SpriteNumber:76  'Barrel smashing anim
    long    $0b5b7e 'SpriteNumber:77  'Barrel smashing anim
    long    $02dc06 'SpriteNumber:78  'Hi Score Entry Cursor

    long    $3c060c 'SpriteNumber:79  'Umbrella
    long    $3c060c 'SpriteNumber:80  'Hat
    long    $3c060c 'SpriteNumber:81  'Handbag

    long    $4c4d4d 'SpriteNumber:82  'Heart
    long    $4c4d4d 'SpriteNumber:83  'Broken heart
    long    $0b5b7e 'SpriteNumber:84
    long    $0b5b7e 'SpriteNumber:85
    long    $0b5b7e 'SpriteNumber:86
    long    $070707 'SpriteNumber:87  'Bonus

sprite_def

' TileNumber:  0
    long    $00330000, $00000000
    long    $03333000, $00000000
    long    $23333300, $00000000
    long    $03113333, $31020000
    long    $23111133, $33333120
    long    $00111312, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber:  1
    long    $00000000, $00003300
    long    $00000000, $00033330
    long    $00000000, $00333332
    long    $00002013, $33331130
    long    $02133333, $33111132
    long    $00000000, $21311100
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber:  2
    long    $00000000, $00000000
    long    $00000022, $22000000
    long    $00022222, $22200000
    long    $00000331, $11100000
    long    $00333133, $13310000
    long    $03331331, $13310000
    long    $00111133, $33111000
    long    $00033333, $33000000
    long    $00003021, $11110000
    long    $00033311, $11113000
    long    $00003311, $11223300
    long    $00002222, $22222211
    long    $00002222, $22222211
    long    $00000222, $00222211
    long    $00000011, $10000001
    long    $00000111, $10000000

' TileNumber:  3
    long    $00330000, $00000000
    long    $03333000, $00000000
    long    $23333300, $00000000
    long    $03113333, $31020000
    long    $23111133, $33333120
    long    $00111312, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber:  4
    long    $00000000, $00000000
    long    $00000113, $33330000
    long    $00001121, $11121300
    long    $00311122, $11222130
    long    $03312222, $22222200
    long    $03322222, $22222220
    long    $00222222, $22222220
    long    $00222222, $22222220
    long    $00022222, $22222220
    long    $00002222, $02222200
    long    $00001111, $22222000
    long    $00000111, $22222000
    long    $00000002, $11120000
    long    $00000001, $11110000
    long    $00000011, $11110000
    long    $00000011, $11100000

' TileNumber:  5
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00022221, $12200000
    long    $00222222, $22220000
    long    $02222222, $22222100
    long    $22222222, $22222210
    long    $22222222, $22222210
    long    $00222220, $22222211
    long    $03331111, $22222233
    long    $00000000, $02222200
    long    $00000000, $22222200
    long    $00000000, $21112000
    long    $00000001, $11110000
    long    $00000000, $11100000
    long    $00000000, $00000000

' TileNumber:  6
    long    $00000000, $00000000
    long    $00000222, $22200000
    long    $00000122, $22100000
    long    $00001111, $11110000
    long    $00001111, $11110000
    long    $00000333, $33300000
    long    $00011211, $11211000
    long    $00111211, $11211100
    long    $01112211, $11221110
    long    $31122221, $12222113
    long    $33322222, $22222333
    long    $00022222, $22222000
    long    $00022222, $22222000
    long    $00022220, $02222000
    long    $00002222, $22220000
    long    $00011111, $11111000

' TileNumber:  7
    long    $00000003, $33200000
    long    $00002223, $33220000
    long    $00000033, $33110000
    long    $00033311, $11331000
    long    $00333131, $11331000
    long    $00011111, $11311100
    long    $00003331, $11100000
    long    $00000021, $11110000
    long    $00000122, $11110000
    long    $00000223, $21110000
    long    $00002222, $22220000
    long    $00002222, $22222000
    long    $00002222, $22222000
    long    $00000222, $02222000
    long    $00000111, $00111000
    long    $00001111, $01111000

' TileNumber:  8
    long    $00000002, $22200000
    long    $00002222, $22220000
    long    $00000033, $11110000
    long    $00033313, $31331000
    long    $00333133, $11331000
    long    $00011113, $33311100
    long    $00003333, $33300000
    long    $00000012, $21110000
    long    $33311111, $11111000
    long    $33311111, $11111000
    long    $03332222, $22112000
    long    $00002222, $22222000
    long    $00002222, $22222000
    long    $00000222, $02222000
    long    $00000111, $00111000
    long    $00001111, $01111000

' TileNumber:  9
    long    $00000003, $33200000
    long    $00002223, $33220000
    long    $00000033, $33110000
    long    $00033311, $11331000
    long    $00333131, $11331000
    long    $00011111, $11111100
    long    $00003331, $11100000
    long    $00000021, $11110000
    long    $00000022, $21110000
    long    $00000223, $21110000
    long    $00100222, $22220000
    long    $00112222, $22222000
    long    $00112222, $22222200
    long    $00112220, $00222110
    long    $00000000, $00001110
    long    $00000000, $00011100

' TileNumber: 10
    long    $00000002, $22200000
    long    $00002222, $22220000
    long    $00000033, $11110000
    long    $00033313, $31331000
    long    $00333133, $11331000
    long    $00011113, $33311100
    long    $00003333, $33300000
    long    $00000012, $21100000
    long    $33331111, $11110000
    long    $33331111, $11110000
    long    $03330222, $21120000
    long    $00112222, $22222000
    long    $00112222, $22222200
    long    $00112220, $00222110
    long    $00000000, $00001110
    long    $00000000, $00011100

' TileNumber: 11
    long    $00000033, $30000000
    long    $00000033, $32000000
    long    $00022233, $32200000
    long    $00000311, $11100000
    long    $00333111, $13310000
    long    $03331311, $13310000
    long    $00111111, $13111000
    long    $00033311, $11000000
    long    $00000111, $11110000
    long    $00000221, $11110000
    long    $00002232, $11220000
    long    $00002222, $22222211
    long    $00002222, $22222211
    long    $00000222, $00222211
    long    $00000011, $10000001
    long    $00000111, $10000000

' TileNumber: 12
    long    $00000000, $00000000
    long    $00000022, $22000000
    long    $00022222, $22200000
    long    $00000331, $11100000
    long    $00333133, $13310000
    long    $03331331, $13310000
    long    $00111133, $33111000
    long    $00033333, $33000000
    long    $33300121, $11110000
    long    $33331111, $11110000
    long    $03331111, $11220000
    long    $00002222, $22222211
    long    $00002222, $22222211
    long    $00000222, $00222211
    long    $00000011, $10000001
    long    $00000111, $10000000

' TileNumber: 13
    long    $00000000, $00000000
    long    $00000022, $22000000
    long    $00022222, $22200000
    long    $00000331, $11100000
    long    $00333133, $13310000
    long    $03331331, $13310000
    long    $00111133, $33111000
    long    $33033333, $33000330
    long    $33100112, $21111333
    long    $01111122, $21110300
    long    $00002223, $21100000
    long    $10002222, $22201100
    long    $11222222, $22211110
    long    $11222222, $22221011
    long    $00000000, $22220000
    long    $00000000, $02200000

' TileNumber: 14
    long    $00000002, $22200000
    long    $00002222, $22220000
    long    $00000033, $11110000
    long    $00033313, $31331000
    long    $00333133, $11331000
    long    $00011113, $33311100
    long    $00003333, $33331110
    long    $00111111, $12111111
    long    $33331112, $21111011
    long    $33300222, $32112333
    long    $00000222, $22222030
    long    $00002222, $22222000
    long    $01021122, $22222000
    long    $01121112, $22220030
    long    $00112111, $22203300
    long    $00011011, $10030033

' TileNumber: 15
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $22222200
    long    $00000002, $22222220
    long    $00000022, $22333300
    long    $02200022, $32332330
    long    $00220002, $23333300
    long    $00022222, $33333000
    long    $02222211, $33300000
    long    $00222211, $13310000
    long    $02020011, $11110000

' TileNumber: 16
    long    $00000011, $11100000
    long    $00000001, $11111220
    long    $00000003, $33111200
    long    $00000111, $11110000
    long    $00011111, $11112200
    long    $11221111, $11111200
    long    $01122211, $11111000
    long    $00111221, $11111000
    long    $00331112, $22111000
    long    $03333011, $12222000
    long    $00330000, $11111000
    long    $00033000, $03330000
    long    $00000000, $03033300
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 17 - $1   1
    long    $00000111, $11110000
    long    $00001103, $33311000
    long    $00011011, $11111100
    long    $02220111, $11112200
    long    $00000111, $11111200
    long    $00001111, $11111000
    long    $00001111, $11112200
    long    $00022211, $12222111
    long    $00011222, $22111103
    long    $00111111, $11133330
    long    $00003330, $00033300
    long    $00033300, $00003000
    long    $00003330, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 18 - $1   2
    long    $00000111, $11110000
    long    $00011133, $33011000
    long    $00110111, $11101100
    long    $22211111, $11111222
    long    $00201111, $11110200
    long    $00111111, $11111100
    long    $00111111, $11111100
    long    $00111111, $11111100
    long    $00222111, $11222200
    long    $01112222, $22221110
    long    $00011111, $11111000
    long    $00003330, $03030000
    long    $00033030, $03033000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 19 - $1   3
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000111, $11110000
    long    $00001111, $11111000
    long    $00222222, $22211100
    long    $01111111, $11121100
    long    $11332122, $11112220
    long    $22333222, $22111110
    long    $03333222, $22111111
    long    $03333022, $00211222
    long    $00330000, $00013300
    long    $00000000, $00033300
    long    $00000000, $00333300
    long    $00000000, $03333000
    long    $00000000, $00333000

' TileNumber: 20 - $14
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000011, $11000000
    long    $00001112, $21110000
    long    $00001222, $23310000
    long    $00012222, $23321000
    long    $00012222, $22221000
    long    $00012222, $22221000
    long    $00012222, $22221000
    long    $00001222, $22210000
    long    $00001112, $21110000
    long    $00000011, $11000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
' TileNumber: 21 - $15
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00002222, $22220000
    long    $00322111, $11122300
    long    $02311111, $11111320
    long    $01322222, $22222310
    long    $01322222, $22222310
    long    $01322222, $22222310
    long    $01322222, $22222310
    long    $02311111, $11111320
    long    $00322111, $11122300
    long    $00002222, $22220000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 22 - $16
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00001111, $11110000
    long    $00311222, $22211300
    long    $01322222, $22222310
    long    $01311111, $11111310
    long    $01311111, $11111310
    long    $01311111, $11111310
    long    $01311111, $11111310
    long    $01322222, $22222310
    long    $00311222, $22211300
    long    $00001111, $11110000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 23
    long    $00000000, $00000000
    long    $00000211, $11200000
    long    $00003333, $33330000
    long    $00002122, $22120000
    long    $00022122, $22122000
    long    $00021122, $22112000
    long    $00021122, $22112000
    long    $00021122, $22112000
    long    $00021122, $22112000
    long    $00021122, $22112000
    long    $00021122, $22112000
    long    $00022122, $22122000
    long    $00002122, $22120000
    long    $00003333, $33330000
    long    $00000111, $11200000
    long    $00000000, $00000000

' TileNumber: 24 - $18
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000033, $33000000
    long    $00003311, $11330000
    long    $00003111, $11130000
    long    $00031111, $11113000
    long    $00031111, $11113000
    long    $00031111, $11113000
    long    $00031221, $11113000
    long    $00003221, $11130000
    long    $00003311, $11330000
    long    $00000033, $33000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
' TileNumber: 25 - $19
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00002222, $22220000
    long    $00322111, $11122300
    long    $02311111, $11111320
    long    $01322222, $22222310
    long    $01322222, $22222310
    long    $01322222, $22222310
    long    $01322222, $22222310
    long    $02311111, $11111320
    long    $00322111, $11122300
    long    $00002222, $22220000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 26
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00001111, $11110000
    long    $00311222, $22211300
    long    $01322222, $22222310
    long    $01311111, $11111310
    long    $01311111, $11111310
    long    $01311111, $11111310
    long    $01311111, $11111310
    long    $01322222, $22222310
    long    $00311222, $22211300
    long    $00001111, $11110000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 27
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000001, $20000000
    long    $00001111, $11310000
    long    $00013333, $33331000
    long    $00013333, $33332000
    long    $00013333, $33332000
    long    $00003333, $33320000
    long    $00000001, $20000000
    long    $00000001, $20000000
    long    $00000001, $20000000
    long    $00000001, $20000000

' TileNumber: 28
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000333, $33000000
    long    $00003133, $33300000
    long    $00003333, $33300000
    long    $00023133, $33322222
    long    $00003133, $33300000
    long    $01003133, $33300000
    long    $00103133, $33300100
    long    $01000333, $33001000
    long    $10111000, $00010010
    long    $00000000, $00000000

' TileNumber: 29 - $1d
    long    $00033333, $33333000
    long    $00333233, $32233300
    long    $00332223, $22111130
    long    $03322222, $21111113
    long    $23221122, $21111113
    long    $23211112, $21111113
    long    $23311312, $21311113
    long    $23321123, $32111133
    long    $22222222, $22222222
    long    $22211111, $11111122
    long    $22113111, $31113113
    long    $23133311, $33333333
    long    $23333333, $33333132
    long    $22113111, $31113222
    long    $32221111, $11111223
    long    $33322222, $22222233

' TileNumber: 30 - $1e
    long    $00033333, $33333000
    long    $00333233, $32233300
    long    $00332223, $22111130
    long    $03322222, $21311113
    long    $23221122, $21111113
    long    $23231112, $21111113
    long    $23311112, $21111113
    long    $23321123, $32111133
    long    $22222222, $22222222
    long    $22211111, $11111122
    long    $22113111, $31113113
    long    $23133311, $33333333
    long    $23333333, $33333132
    long    $22113111, $31113222
    long    $32221111, $11111223
    long    $33322222, $22222233

' TileNumber: 31 - $1f
    long    $00033333, $33333000
    long    $00333233, $32233300
    long    $00332223, $22111130
    long    $03322222, $21111113
    long    $23221322, $21111113
    long    $23211112, $21111313
    long    $23311112, $21111113
    long    $23321123, $32111133
    long    $22222222, $22222222
    long    $22211111, $11111122
    long    $22113111, $31113113
    long    $23133311, $33333333
    long    $23333333, $33333132
    long    $22113111, $31113222
    long    $32221111, $11111223
    long    $33322222, $22222233

' TileNumber: 32 - $20
    long    $00000333, $33330000
    long    $00003333, $33333000
    long    $00033223, $33223300
    long    $00332222, $32222330
    long    $23322211, $21122232
    long    $23332213, $23122332
    long    $23332222, $22222332
    long    $22222223, $33222222
    long    $22222222, $22222222
    long    $22233333, $33333322
    long    $22322222, $22222232
    long    $33222222, $22222223
    long    $33222222, $22222223
    long    $33332222, $22222333
    long    $33333333, $33333333
    long    $33333333, $33333333

' TileNumber: 33
    long    $00000333, $33330000
    long    $00003333, $33333000
    long    $00033223, $33223300
    long    $00332222, $32222330
    long    $23322211, $21122232
    long    $23332213, $23122332
    long    $23332222, $22222332
    long    $22222223, $33222222
    long    $22112222, $22222112
    long    $21113111, $31113111
    long    $23133313, $33133313
    long    $22113111, $31113112
    long    $32222111, $21112223
    long    $33332222, $22222333
    long    $33333333, $33333333
    long    $33333333, $33333333

' TileNumber: 34
    long    $32121213, $31212123
    long    $31222221, $12222213
    long    $12222221, $12222221
    long    $12232221, $12223221
    long    $12222212, $21222221
    long    $31111122, $22111113
    long    $33122222, $22222133
    long    $03121212, $21212130
    long    $00312121, $23121300
    long    $00133131, $33133100
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 35
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000001, $11133100
    long    $00000113, $33333300
    long    $00001333, $33333300
    long    $00001333, $33333130
    long    $00003333, $33333333
    long    $00003333, $33333333
    long    $00033333, $33333333
    long    $02223333, $33330000
    long    $22232223, $33300000
    long    $22222232, $22200000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 36
    long    $00001333, $33000000
    long    $00003133, $30000000
    long    $00001333, $30000000
    long    $00001333, $30000000
    long    $00003133, $10000000
    long    $00001333, $31000000
    long    $00003333, $33100000
    long    $00033333, $33310000
    long    $00333333, $33331000
    long    $00333333, $33331000
    long    $33333333, $33331000
    long    $03333333, $33330000
    long    $00333333, $33330000
    long    $00023223, $33223200
    long    $00022322, $22322120
    long    $00002222, $22222212

' TileNumber: 37
    long    $00000022, $22000000
    long    $00000221, $22220000
    long    $00002212, $22122200
    long    $00000111, $21222200
    long    $20000222, $12221230
    long    $22000022, $22211330
    long    $22300000, $01133330
    long    $33333333, $31133333
    long    $23333333, $33133333
    long    $23333333, $33313333
    long    $23333333, $33333330
    long    $33333333, $33333300
    long    $33333333, $33330000
    long    $33333333, $33300000
    long    $33333333, $30000000
    long    $33333330, $00000000

' TileNumber: 38
    long    $00000000, $00200000
    long    $00000000, $02200000
    long    $00000000, $02200000
    long    $00000001, $33300000
    long    $00000113, $33200000
    long    $00001333, $33200000
    long    $00113333, $33200000
    long    $01333333, $33300000
    long    $33333133, $33300000
    long    $33333311, $33300000
    long    $33333331, $11300000
    long    $33333333, $11102220
    long    $03333333, $33332222
    long    $00333333, $33333232
    long    $00033333, $33333322
    long    $00000033, $33333230

' TileNumber: 39
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $20000000, $00000000
    long    $22011100, $00000000
    long    $22333110, $00000000
    long    $33133311, $00000000
    long    $23333331, $10000000
    long    $23333333, $11000000
    long    $23333333, $31100000
    long    $33333333, $33100000
    long    $33333333, $33100000
    long    $33333333, $33100000
    long    $31333333, $33310000
    long    $31133333, $33310000

' TileNumber: 40
    long    $03113333, $33310000
    long    $03313333, $33110000
    long    $03313333, $33100000
    long    $03332333, $33100000
    long    $00333333, $33100000
    long    $22111333, $33000000
    long    $22211333, $33000000
    long    $00212333, $30000000
    long    $00223233, $00000000
    long    $00232113, $00000000
    long    $00221100, $00000000
    long    $02221000, $00000000
    long    $02200000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 41
    long    $00000000, $00000000
    long    $10000000, $00000000
    long    $33000000, $00000000
    long    $33300000, $00000000
    long    $33330000, $00000000
    long    $33330000, $00000000
    long    $33330000, $00000000
    long    $33331100, $00000000
    long    $33333113, $32000000
    long    $33333333, $32100000
    long    $33333333, $22100000
    long    $33333333, $22100000
    long    $33333333, $32100000
    long    $00003332, $32000000
    long    $00022232, $22000000
    long    $00212122, $20000000

' TileNumber: 42
    long    $00000000, $33333333
    long    $00000000, $33333333
    long    $00000003, $33333333
    long    $00000003, $33333333
    long    $00000033, $33333332
    long    $00000333, $33333321
    long    $00000333, $33333022
    long    $00003333, $33330332
    long    $22223333, $33303333
    long    $22222333, $33003333
    long    $00223333, $30033333
    long    $00222333, $30033333
    long    $02222223, $00003333
    long    $22212220, $02123323
    long    $22122200, $21232222
    long    $02220000, $21222222

' TileNumber: 43
    long    $33113333, $33333331
    long    $31133333, $33333333
    long    $11333333, $33333333
    long    $22333333, $33333333
    long    $22333333, $33333333
    long    $21113333, $33333333
    long    $11111133, $33333333
    long    $22111111, $33333333
    long    $33211111, $11333333
    long    $33331111, $11133333
    long    $33333311, $11133333
    long    $33330000, $00003333
    long    $33330000, $00000333
    long    $32233000, $00000000
    long    $22223000, $00000000
    long    $22222000, $00000000

' TileNumber: 44
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $11130000, $00000000
    long    $33311110, $00000000
    long    $33333331, $10000000
    long    $33333333, $31000000
    long    $33331133, $33100000
    long    $33333133, $33310000
    long    $33333133, $33310000
    long    $33333133, $33331000
    long    $33333133, $33331000
    long    $33333133, $33331000
    long    $33331133, $33331100
    long    $33331333, $33333100
    long    $33311333, $33333110

' TileNumber: 45
    long    $00000003, $33333000
    long    $00000033, $33333330
    long    $00000022, $23333333
    long    $00000222, $22233333
    long    $00000211, $22223333
    long    $00033231, $22233223
    long    $00222222, $22332222
    long    $02222222, $23332222
    long    $02222222, $33333233
    long    $22222222, $23332233
    long    $23333322, $22322333
    long    $02222232, $22223333
    long    $00222223, $22233333
    long    $00022222, $22233333
    long    $00000022, $22333333
    long    $00000000, $03333333

' TileNumber: 46 - $2e
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $11111100, $00000000
    long    $03333311, $10000000
    long    $00333333, $31110000
    long    $00333333, $33331100
    long    $00333333, $33333310
    long    $00333333, $33133331
    long    $00330000, $31333333
    long    $00000000, $01333330
    long    $00000033, $33333300
    long    $00002211, $13333000
    long    $00002211, $22100000
    long    $00002222, $22000000

' TileNumber: 47 - $2f
    long    $00000000, $00000113
    long    $00000000, $00011133
    long    $00000000, $00113333
    long    $00000000, $00133333
    long    $00000000, $01133333
    long    $00000000, $11333333
    long    $00000001, $11133333
    long    $00000011, $13313333
    long    $00000033, $33331333
    long    $00000033, $33333333
    long    $00000033, $33333333
    long    $00000033, $33333333
    long    $00000333, $33333333
    long    $00000033, $33333333
    long    $00000333, $33333333
    long    $00000333, $33333333

' TileNumber: 48 - $30
    long    $33100000, $00000000
    long    $33311000, $00000000
    long    $33333100, $00000000
    long    $33333100, $00000000
    long    $33333310, $00000000
    long    $33333331, $00000000
    long    $33333113, $30000000
    long    $33331333, $33000000
    long    $33313333, $33000000
    long    $33333333, $33000000
    long    $33333333, $33000000
    long    $33333333, $33000000
    long    $33333333, $33300000
    long    $33333333, $33000000
    long    $33333333, $33300000
    long    $33333333, $33300000

' TileNumber: 49 - $31
    long    $00000000, $00232220
    long    $00000000, $03333322
    long    $00000000, $03333212
    long    $00000000, $33333320
    long    $00000003, $33333300
    long    $00000033, $33333300
    long    $00000033, $33333000
    long    $00000333, $33333000
    long    $00000333, $33330000
    long    $00000333, $13300000
    long    $00000333, $13000000
    long    $00000333, $30000000
    long    $00000033, $30000000
    long    $00000033, $30000000
    long    $00000003, $30000000
    long    $00000000, $30000000

' TileNumber: 50 - $32
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00223223, $30000000
    long    $00022333, $33330000
    long    $00023333, $33333300
    long    $00003333, $33333330
    long    $00000333, $33333333
    long    $00000033, $33113333
    long    $00000001, $11133333
    long    $00000003, $33333333
    long    $00000003, $33333330
    long    $00000003, $33333300
    long    $00000003, $33333000
    long    $00000003, $33300000

' TileNumber: 51 - $33
    long    $00000133, $33333333
    long    $00001333, $33333333
    long    $00001331, $33333333
    long    $00013333, $13333333
    long    $00113333, $31333311
    long    $00133333, $33111111
    long    $00333333, $33311100
    long    $00033333, $33333000
    long    $00003333, $33333000
    long    $00003333, $33333000
    long    $00000333, $33333300
    long    $00000033, $33333330
    long    $00000033, $32222230
    long    $00000332, $22111200
    long    $00003222, $11111000
    long    $00002221, $11110000

' TileNumber: 52 - $34
    long    $33333333, $33310000
    long    $33333333, $33331000
    long    $33333333, $13333100
    long    $33333331, $33333310
    long    $33333313, $33333310
    long    $11111133, $33333330
    long    $11113333, $33333300
    long    $00003322, $23333000
    long    $00000211, $12230000
    long    $00000111, $11222000
    long    $00000011, $11122000
    long    $00000001, $11112200
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 53 - $35
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000030
    long    $00000000, $00000300
    long    $00000000, $00003000
    long    $03000000, $00000000
    long    $00300000, $00000000
    long    $00030003, $00000003
    long    $00000000, $30030030
    long    $00000000, $03030300
    long    $00000000, $00030000
    long    $00303000, $33333330
    long    $00000000, $00030000
    long    $00000300, $03030300
    long    $00003000, $30000030

' TileNumber: 88
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00111000, $11000110
    long    $01000101, $00101001
    long    $00000101, $00101001
    long    $00001001, $00101001
    long    $00010001, $00101001
    long    $00100001, $00101001
    long    $01111100, $11000110
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 55 - $37
    long    $00000000, $00000000
    long    $00333333, $33333300
    long    $00033333, $33333000
    long    $00000001, $10000000
    long    $00000013, $31000000
    long    $00000112, $21100000
    long    $00001103, $30110000
    long    $00011002, $20011000
    long    $00131003, $30013100
    long    $00011002, $20011000
    long    $00001103, $30110000
    long    $00000112, $21100000
    long    $00000013, $31000000
    long    $00000001, $10000000
    long    $00033333, $33333000
    long    $00333333, $33333300

' TileNumber: 56 - $38
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00333333, $33333300
    long    $00033333, $33333000
    long    $00000001, $10000000
    long    $00001113, $31110000
    long    $01111003, $30011110
    long    $13100003, $30000131
    long    $01111003, $30011110
    long    $00001113, $31110000
    long    $00000001, $10000000
    long    $00033333, $33333000
    long    $00333333, $33333300

' TileNumber: 57 - $39
    long    $00000000, $00000000
    long    $00000200, $00200020
    long    $00002030, $00000000
    long    $00000200, $20000030
    long    $00000220, $02000300
    long    $00030020, $22020020
    long    $00000022, $22200200
    long    $00000232, $23202000
    long    $00002233, $32220000
    long    $00022331, $13322000
    long    $00023211, $23332000
    long    $00023211, $23332000
    long    $00022311, $33322000
    long    $00002233, $33220000
    long    $00002222, $22220000
    long    $00000022, $22000000

' TileNumber: 58 - $3a
    long    $00000000, $00002000
    long    $00000000, $20000000
    long    $00000002, $03020200
    long    $00030022, $00220000
    long    $00000220, $02200203
    long    $00000223, $22202000
    long    $00302322, $33222000
    long    $00022233, $33320000
    long    $00023331, $13320200
    long    $00223111, $11322000
    long    $00231211, $21332000
    long    $00231211, $21332000
    long    $00223111, $13322000
    long    $00023333, $33220000
    long    $00022233, $32200000
    long    $00000222, $22000000

' TileNumber: 59
    long    $00000000, $00000000
    long    $00000001, $00000000
    long    $00000000, $00203000
    long    $00000020, $00000200
    long    $00000000, $30000003
    long    $00030000, $03003000
    long    $00000200, $20200200
    long    $00000000, $03002300
    long    $00000000, $22023000
    long    $00000002, $30022000
    long    $00021022, $20312300
    long    $00320323, $32033130
    long    $00232032, $33023330
    long    $03230211, $12331200
    long    $02332031, $10213000
    long    $00333221, $23113000

' TileNumber: 60
    long    $00000000, $00000000
    long    $00000020, $00100300
    long    $00000200, $00001000
    long    $00000000, $02000000
    long    $00000003, $00000030
    long    $00000000, $30030000
    long    $00002300, $00200003
    long    $00000200, $03200020
    long    $00002000, $22000220
    long    $00023002, $32000200
    long    $00220000, $33202200
    long    $03220002, $33232200
    long    $02222002, $31222000
    long    $00312023, $12223200
    long    $00331321, $32313200
    long    $00031221, $32113000

' TileNumber: 61
    long    $00000002, $00000001
    long    $00020000, $20000200
    long    $10002000, $32000200
    long    $00002002, $23002230
    long    $00023022, $32022320
    long    $00232222, $32233200
    long    $00223223, $32332020
    long    $00232333, $32320200
    long    $20223313, $33322000
    long    $23023331, $33322000
    long    $02323131, $33332203
    long    $00233311, $11332220
    long    $20223313, $11323202
    long    $22222313, $31132232
    long    $03230113, $33133320
    long    $02333133, $33113220

' TileNumber: 62
    long    $00200000, $00200020
    long    $02000000, $02000030
    long    $00200000, $00000000
    long    $30030020, $00000000
    long    $00000200, $00020002
    long    $00200320, $00200000
    long    $02200332, $00230000
    long    $02320233, $20320003
    long    $00232213, $22322000
    long    $20023331, $33332000
    long    $03023331, $11332000
    long    $00223311, $11332000
    long    $00213111, $11132020
    long    $20231113, $11132220
    long    $03021133, $33111300
    long    $02211133, $33313320

' TileNumber: 63 - $3F
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $33333333, $33333333
    long    $22222222, $22222222
    long    $00333300, $00333300
    long    $03333330, $03333330
    long    $33300333, $33300333
    long    $33000033, $33000033
    long    $33333333, $33333333
    long    $22222222, $22222222
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 64 - $40
    long    $33333333, $33333333
    long    $33333332, $23333333
    long    $31313321, $12331313
    long    $33333321, $12333333
    long    $22223332, $23332222
    long    $11112333, $33321111
    long    $33311233, $33211333
    long    $11111122, $22111111
    long    $33333333, $33333333
    long    $31322222, $22222313
    long    $33321113, $13312333
    long    $31321131, $33112313
    long    $33321313, $31112333
    long    $31322222, $22222313
    long    $33333333, $33333333
    long    $03333333, $33333330

' TileNumber: 65 - $41
    long    $00011000, $00011000
    long    $00011111, $11111000
    long    $00011000, $00011000
    long    $00011000, $00011000
    long    $00011000, $00011000
    long    $00011111, $11111000
    long    $00011000, $00011000
    long    $00011000, $00011000
    long    $00011000, $00011000
    long    $00011111, $11111000
    long    $00011000, $00011000
    long    $00011000, $00011000
    long    $00011000, $00011000
    long    $00011111, $11111000
    long    $00011000, $00011000
    long    $00011000, $00011000

' TileNumber: 66
    long    $13111111, $11111111
    long    $01311111, $11111110
    long    $01311111, $11111110
    long    $01311111, $11111110
    long    $02322222, $22222220
    long    $01311111, $11111110
    long    $01313331, $33133110
    long    $01313131, $33133110
    long    $01313331, $33133310
    long    $01311111, $11111110
    long    $02322222, $22222220
    long    $01311111, $11111110
    long    $01313313, $31331310
    long    $01311111, $11111110
    long    $01311111, $11111110
    long    $13111111, $11111111

' TileNumber: 67 - $43
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $33200000
    long    $00003323, $22220000
    long    $00032222, $23323200
    long    $03223323, $22232220
    long    $32232232, $22322222
    long    $11111111, $11111111
    long    $11111111, $11111111
    long    $01111111, $11111110
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 89
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $01111100, $11000110
    long    $00001001, $00101001
    long    $00010001, $00101001
    long    $00111001, $00101001
    long    $00000101, $00101001
    long    $00000101, $00101001
    long    $01111000, $11000110
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 90
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $01111100, $11000110
    long    $01000001, $00101001
    long    $01111001, $00101001
    long    $00000101, $00101001
    long    $00000101, $00101001
    long    $01000101, $00101001
    long    $00111000, $11000110
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 91
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00111000, $11000110
    long    $01000101, $00101001
    long    $01000101, $00101001
    long    $00111001, $00101001
    long    $01000101, $00101001
    long    $01000101, $00101001
    long    $00111000, $11000110
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000






' TileNumber: 71 - $47
    long    $00000033, $33333000
    long    $00003333, $33333000
    long    $00033311, $11333000
    long    $00333111, $22133000
    long    $00331112, $22113000
    long    $00331122, $21113000
    long    $00333122, $11133000
    long    $00033311, $11333000
    long    $00003333, $33333000
    long    $00000033, $33333000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 72
    long    $00000033, $33333000
    long    $00003333, $33333000
    long    $00033311, $11333000
    long    $00333111, $11133000
    long    $00331222, $22213000
    long    $00332222, $22213000
    long    $00333111, $11133000
    long    $00033311, $11333000
    long    $00003333, $33333000
    long    $00000033, $33333000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 73
    long    $00000033, $33333000
    long    $00003333, $33333000
    long    $00033311, $11333000
    long    $00333122, $11133000
    long    $00331122, $21113000
    long    $00331112, $22113000
    long    $00333111, $22133000
    long    $00033311, $11333000
    long    $00003333, $33333000
    long    $00000033, $33333000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 74
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000011, $11000000
    long    $00000122, $22100000
    long    $00001200, $00210000
    long    $00012000, $00021000
    long    $00120000, $00002100
    long    $00120000, $00002100
    long    $00120000, $00002100
    long    $00120000, $00002100
    long    $00012000, $00021000
    long    $00001200, $00210000
    long    $00000122, $22100000
    long    $00000011, $11000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 75
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000001, $10000000
    long    $00000012, $21000000
    long    $00000123, $32100000
    long    $00001230, $03210000
    long    $00001230, $03210000
    long    $00000123, $32100000
    long    $00000012, $21000000
    long    $00000001, $10000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 76
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000001, $10000000
    long    $00000012, $21000000
    long    $00000123, $32100000
    long    $00000123, $32100000
    long    $00000012, $21000000
    long    $00000001, $10000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

' TileNumber: 77
    long    $00000000, $00000000
    long    $30000003, $00000003
    long    $01000001, $00000010
    long    $00200002, $00000200
    long    $00020002, $00002000
    long    $00002000, $00020000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $31220003, $00002213
    long    $00000000, $00000000
    long    $00002000, $00020000
    long    $00020001, $00002000
    long    $00200001, $00000200
    long    $01000002, $00000010
    long    $30000003, $00000003
    long    $00000000, $00000000

' TileNumber: 78 - $4E
    long    $33333333, $33333333
    long    $32222222, $22222223
    long    $32222222, $22222223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32200000, $00000223
    long    $32222222, $22222223
    long    $33333333, $33333333

' TileNumber: 79 - $4F
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000002, $22001000
    long    $00000022, $22222100
    long    $00000222, $22221000
    long    $00000222, $22220000
    long    $00003333, $33333000
    long    $00222222, $22222220
    long    $01222111, $22221121
    long    $00111000, $11110010
    long    $00000000, $00000000

' TileNumber: 80 - $50
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000111, $11000000
    long    $00001000, $00100000
    long    $00010000, $00010000
    long    $00010111, $11010000
    long    $00001111, $11100000
    long    $00012122, $21210000
    long    $00011211, $12110000
    long    $00011122, $21110000
    long    $00011111, $11110000
    long    $00000000, $00000000

' TileNumber: 81 - $ 51
    long    $00000003, $30000000
    long    $00000121, $12100000
    long    $00011221, $12211000
    long    $00112211, $11221100
    long    $01122211, $11222110
    long    $11222111, $11122211
    long    $11222111, $11122211
    long    $11022102, $00122011
    long    $10002002, $00020002
    long    $00000002, $00000000
    long    $00000002, $00000000
    long    $00000001, $00000000
    long    $00000001, $00000000
    long    $00000001, $01000000
    long    $00000000, $10000000
    long    $00000000, $00000000

' TileNumber: 82 - $52
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00011110, $00111100
    long    $00111111, $01111110
    long    $01111111, $11111111
    long    $01111111, $11111111
    long    $01111111, $11111111
    long    $01111111, $11111111
    long    $00111111, $11111110
    long    $00111111, $11111110
    long    $00011111, $11111100
    long    $00001111, $11111000
    long    $00000011, $11100000
    long    $00000001, $11000000
    long    $00000000, $10000000
    long    $00000000, $00000000

' TileNumber: 83
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00111100, $00111100
    long    $01111110, $01111110
    long    $11111100, $11111111
    long    $11111110, $01111111
    long    $11111111, $00111111
    long    $11111110, $01111111
    long    $01111100, $11111110
    long    $01111001, $11111110
    long    $00111100, $11111100
    long    $00011110, $01111000
    long    $00000111, $00100000
    long    $00000010, $01000000
    long    $00000001, $00000000
    long    $00000000, $00000000

' TileNumber: 84
    long    $00020222, $22200000
    long    $00002222, $22220000
    long    $00031313, $31313000
    long    $00013333, $33331000
    long    $00113113, $31131100
    long    $03113311, $11331130
    long    $33300332, $23300333
    long    $31101211, $11210113
    long    $01111221, $12211110
    long    $00012322, $22321000
    long    $00002222, $22220011
    long    $00022222, $22222111
    long    $01112222, $22221111
    long    $01111120, $00221110
    long    $00011100, $00000000
    long    $00000000, $00000000

' TileNumber: 85
    long    $00000000, $33000000
    long    $00000003, $33300000
    long    $01111001, $13000000
    long    $11111001, $20110000
    long    $11110011, $10111000
    long    $11122221, $11333120
    long    $02222322, $23313322
    long    $00222221, $12113122
    long    $00222211, $12133322
    long    $00222221, $10113122
    long    $02222322, $21313322
    long    $02222221, $13333120
    long    $11122011, $10111000
    long    $11110001, $10110000
    long    $01111001, $13300000
    long    $00111000, $33000000

' TileNumber: 86
    long    $00000000, $03333300
    long    $00000000, $30000030
    long    $00000003, $00000003
    long    $00000000, $30000030
    long    $00011110, $03333300
    long    $00211111, $10000000
    long    $02222201, $10000000
    long    $02222000, $00000000
    long    $02222200, $00030000
    long    $22222321, $00133002
    long    $22222222, $13133020
    long    $22222221, $23133322
    long    $02322211, $13113322
    long    $03311111, $13331122
    long    $33311111, $33133122
    long    $33311112, $11111120

' TileNumber: 87
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00100011, $10001110
    long    $01100100, $01010001
    long    $00100100, $01010001
    long    $00100100, $01010001
    long    $00100100, $01010001
    long    $00100100, $01010001
    long    $01110011, $10001110
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000
    long    $00000000, $00000000

DAT
terrain_def
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 210
    byte 211
    byte 212
    byte 211
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 187
    byte 186
    byte 185
    byte 184
    byte 183
    byte 182
    byte 181
    byte 180
    byte 179
    byte 178
    byte 177
    byte 178
    byte 179
    byte 180
    byte 181
    byte 182
    byte 183
    byte 184
    byte 185
    byte 186
    byte 187
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 187
    byte 186
    byte 185
    byte 184
    byte 183
    byte 182
    byte 181
    byte 180
    byte 179
    byte 178
    byte 177
    byte 176
    byte 175
    byte 174
    byte 173
    byte 172
    byte 171
    byte 172
    byte 173
    byte 174
    byte 175
    byte 176
    byte 177
    byte 178
    byte 179
    byte 180
    byte 181
    byte 182
    byte 183
    byte 184
    byte 185
    byte 186
    byte 187
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 209
    byte 210
    byte 211
    byte 212
    byte 213
    byte 214
    byte 215
    byte 216
    byte 217
    byte 218
    byte 217
    byte 216
    byte 215
    byte 214
    byte 213
    byte 212
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 210
    byte 211
    byte 212
    byte 213
    byte 214
    byte 215
    byte 216
    byte 217
    byte 216
    byte 215
    byte 214
    byte 213
    byte 212
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 187
    byte 186
    byte 185
    byte 184
    byte 183
    byte 182
    byte 181
    byte 182
    byte 183
    byte 184
    byte 185
    byte 186
    byte 187
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 209
    byte 210
    byte 211
    byte 212
    byte 213
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 215
    byte 214
    byte 213
    byte 214
    byte 213
    byte 214
    byte 213
    byte 214
    byte 213
    byte 214
    byte 213
    byte 214
    byte 213
    byte 212
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 190
    byte 191
    byte 192
    byte 191
    byte 192
    byte 191
    byte 192
    byte 191
    byte 192
    byte 191
    byte 192
    byte 191
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 187
    byte 186
    byte 185
    byte 184
    byte 183
    byte 182
    byte 181
    byte 180
    byte 179
    byte 178
    byte 177
    byte 176
    byte 175
    byte 174
    byte 173
    byte 172
    byte 171
    byte 170
    byte 169
    byte 170
    byte 171
    byte 172
    byte 173
    byte 174
    byte 175
    byte 176
    byte 177
    byte 178
    byte 179
    byte 180
    byte 181
    byte 182
    byte 183
    byte 184
    byte 185
    byte 186
    byte 187
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 210
    byte 211
    byte 212
    byte 213
    byte 212
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 206
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 204
    byte 203
    byte 202
    byte 201
    byte 202
    byte 201
    byte 200
    byte 201
    byte 200
    byte 201
    byte 202
    byte 201
    byte 202
    byte 203
    byte 204
    byte 203
    byte 204
    byte 205
    byte 206
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 209
    byte 210
    byte 209
    byte 210
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 210
    byte 209
    byte 208
    byte 209
    byte 208
    byte 207
    byte 208
    byte 207
    byte 206
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 204
    byte 203
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 201
    byte 200
    byte 199
    byte 200
    byte 201
    byte 200
    byte 199
    byte 200
    byte 201
    byte 202
    byte 201
    byte 202
    byte 203
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 205
    byte 204
    byte 203
    byte 204
    byte 203
    byte 204
    byte 205
    byte 206
    byte 205
    byte 204
    byte 203
    byte 202
    byte 203
    byte 204
    byte 203
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 208
    byte 209
    byte 210
    byte 211
    byte 210
    byte 211
    byte 212
    byte 211
    byte 210
    byte 211
    byte 212
    byte 213
    byte 214
    byte 215
    byte 214
    byte 213
    byte 212
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 208
    byte 209
    byte 210
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 206
    byte 205
    byte 204
    byte 205
    byte 204
    byte 203
    byte 202
    byte 203
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 198
    byte 199
    byte 200
    byte 199
    byte 198
    byte 197
    byte 198
    byte 197
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 194
    byte 195
    byte 194
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 190
    byte 191
    byte 192
    byte 191
    byte 190
    byte 189
    byte 190
    byte 189
    byte 188
    byte 187
    byte 186
    byte 185
    byte 186
    byte 185
    byte 184
    byte 183
    byte 182
    byte 183
    byte 182
    byte 181
    byte 180
    byte 179
    byte 178
    byte 179
    byte 178
    byte 177
    byte 176
    byte 175
    byte 174
    byte 173
    byte 172
    byte 171
    byte 170
    byte 169
    byte 168
    byte 169
    byte 168
    byte 169
    byte 170
    byte 169
    byte 170
    byte 171
    byte 170
    byte 169
    byte 170
    byte 171
    byte 172
    byte 171
    byte 172
    byte 171
    byte 172
    byte 171
    byte 170
    byte 169
    byte 170
    byte 171
    byte 170
    byte 171
    byte 170
    byte 171
    byte 170
    byte 169
    byte 170
    byte 169
    byte 168
    byte 169
    byte 170
    byte 171
    byte 172
    byte 171
    byte 170
    byte 169
    byte 168
    byte 169
    byte 168
    byte 167
    byte 166
    byte 165
    byte 164
    byte 163
    byte 162
    byte 163
    byte 162
    byte 161
    byte 160
    byte 159
    byte 158
    byte 157
    byte 156
    byte 155
    byte 154
    byte 155
    byte 154
    byte 153
    byte 152
    byte 151
    byte 150
    byte 149
    byte 150
    byte 149
    byte 148
    byte 147
    byte 146
    byte 145
    byte 144
    byte 145
    byte 144
    byte 145
    byte 146
    byte 147
    byte 148
    byte 149
    byte 150
    byte 151
    byte 152
    byte 153
    byte 154
    byte 155
    byte 156
    byte 157
    byte 156
    byte 157
    byte 158
    byte 159
    byte 160
    byte 161
    byte 162
    byte 161
    byte 162
    byte 163
    byte 164
    byte 165
    byte 166
    byte 167
    byte 168
    byte 169
    byte 170
    byte 171
    byte 172
    byte 173
    byte 174
    byte 175
    byte 176
    byte 177
    byte 178
    byte 177
    byte 178
    byte 177
    byte 178
    byte 179
    byte 180
    byte 181
    byte 182
    byte 183
    byte 184
    byte 183
    byte 184
    byte 185
    byte 186
    byte 187
    byte 188
    byte 189
    byte 190
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 195
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 205
    byte 204
    byte 203
    byte 204
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 206
    byte 205
    byte 206
    byte 207
    byte 206
    byte 205
    byte 204
    byte 203
    byte 204
    byte 205
    byte 204
    byte 203
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 205
    byte 206
    byte 207
    byte 208
    byte 207
    byte 208
    byte 207
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 208
    byte 209
    byte 210
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 212
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 209
    byte 208
    byte 207
    byte 206
    byte 205
    byte 204
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 201
    byte 202
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 199
    byte 200
    byte 199
    byte 198
    byte 199
    byte 200
    byte 201
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 192
    byte 191
    byte 192
    byte 191
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 195
    byte 194
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 197
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 200
    byte 201
    byte 200
    byte 201
    byte 200
    byte 201
    byte 200
    byte 201
    byte 200
    byte 201
    byte 200
    byte 201
    byte 200
    byte 199
    byte 200
    byte 201
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 199
    byte 200
    byte 199
    byte 198
    byte 197
    byte 198
    byte 197
    byte 196
    byte 195
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 193
    byte 192
    byte 193
    byte 192
    byte 193
    byte 192
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 189
    byte 188
    byte 189
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 197
    byte 196
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 196
    byte 195
    byte 196
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 204
    byte 205
    byte 204
    byte 203
    byte 202
    byte 201
    byte 200
    byte 199
    byte 198
    byte 199
    byte 198
    byte 197
    byte 196
    byte 195
    byte 194
    byte 193
    byte 192
    byte 193
    byte 192
    byte 193
    byte 192
    byte 191
    byte 190
    byte 189
    byte 188
    byte 187
    byte 186
    byte 185
    byte 184
    byte 183
    byte 184
    byte 185
    byte 186
    byte 187
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 189
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 189
    byte 190
    byte 189
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 187
    byte 188
    byte 187
    byte 186
    byte 185
    byte 186
    byte 187
    byte 188
    byte 189
    byte 190
    byte 191
    byte 192
    byte 193
    byte 194
    byte 195
    byte 194
    byte 193
    byte 194
    byte 195
    byte 196
    byte 197
    byte 198
    byte 199
    byte 200
    byte 201
    byte 202
    byte 203
    byte 204
    byte 205
    byte 206
    byte 207
    byte 208
    byte 209
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210
    byte 211
    byte 210